[SciPy-user] building svn failed

David Cournapeau david@ar.media.kyoto-u.ac...
Wed Apr 22 07:08:44 CDT 2009


Sebastian Haase wrote:
> Hi,
> short note: I'm on debian and I get for a svn checkout:
>
> scipy/signal/sigtoolsmodule.c:1635: warning: initialization from
> incompatible pointer type
> scipy/signal/sigtoolsmodule.c:161: warning: parameter names (without
> types) in function declaration
> scipy/signal/sigtoolsmodule.c:161: error: redefinition of parameter 'NPY_UNUSED'
> scipy/signal/sigtoolsmodule.c:161: error: previous definition of
> 'NPY_UNUSED' was here
>
> The official version 0.7 builds ok (I have two systems: 32 and 64 bit)
>   

You need numpy 1.3.0 or above to build scipy svn

David


More information about the SciPy-user mailing list